All of lore.kernel.org
 help / color / mirror / Atom feed
From: Christoph Hellwig <hch@lst.de>
To: Shin'ichiro Kawasaki <shinichiro.kawasaki@wdc.com>
Cc: linux-block@vger.kernel.org
Subject: [PATCH blktests 5/7] nbd: do not require nbd support to be modular
Date: Wed,  1 Jun 2022 08:48:35 +0200	[thread overview]
Message-ID: <20220601064837.3473709-6-hch@lst.de> (raw)
In-Reply-To: <20220601064837.3473709-1-hch@lst.de>

Use _have_driver instead of _have_modules in _have_nbd as nothing requires
the nbd driver to be modular.

Signed-off-by: Christoph Hellwig <hch@lst.de>
---
 tests/nbd/rc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/nbd/rc b/tests/nbd/rc
index 9d0e3d1..118553c 100644
--- a/tests/nbd/rc
+++ b/tests/nbd/rc
@@ -7,11 +7,11 @@
 . common/rc
 
 group_requires() {
-	_have_root && _have_nbd && modprobe nbd
+	_have_root && _have_nbd
 }
 
 _have_nbd() {
-	if ! _have_modules nbd; then
+	if ! _have_driver nbd; then
 		return 1
 	fi
 	if ! _have_program nbd-server; then
-- 
2.30.2


  parent reply	other threads:[~2022-06-01  6:48 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-06-01  6:48 reduce the dependency on modules v2 Christoph Hellwig
2022-06-01  6:48 ` [PATCH blktests 1/7] nvme: use _have_loop instead of _have_modules loop Christoph Hellwig
2022-06-01  6:48 ` [PATCH blktests 2/7] common: add a helper if a driver is available Christoph Hellwig
2022-06-01  6:48 ` [PATCH blktests 3/7] common: fix _have_module_param_value to work with built-in drivers Christoph Hellwig
2022-06-01  6:48 ` [PATCH blktests 4/7] common: do not require loop support to be modular Christoph Hellwig
2022-06-01  6:48 ` Christoph Hellwig [this message]
2022-06-01  6:48 ` [PATCH blktests 6/7] scsi: don't require sg to be built in Christoph Hellwig
2022-06-01  6:48 ` [PATCH blktests 7/7] nvme: don't require the nvme drivers " Christoph Hellwig
2022-06-03  1:23 ` reduce the dependency on modules v2 Shinichiro Kawasaki

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20220601064837.3473709-6-hch@lst.de \
    --to=hch@lst.de \
    --cc=linux-block@vger.kernel.org \
    --cc=shinichiro.kawasaki@wdc.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.